org.eclipse.oomph.setup

## Interface Index

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    IndexImpl

      public interface Index
      extends ModelElement

  A representation of the model object 'Index'.

  The following features are supported:

  - `Discoverable Packages`
  - `Product Catalogs`
  - `Project Catalogs`
  See Also:
    `SetupPackage.getIndex()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<EPackage>` | `getDiscoverablePackages()` Returns the value of the 'Discoverable Packages' reference list.
    `EList<ProductCatalog>` | `getProductCatalogs()` Returns the value of the 'Product Catalogs' containment reference list.
    `EList<ProjectCatalog>` | `getProjectCatalogs()` Returns the value of the 'Project Catalogs' containment reference list.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDiscoverablePackages

          EList<EPackage> getDiscoverablePackages()

      Returns the value of the 'Discoverable Packages' reference list. The list contents are of type `EPackage`.

      If the meaning of the 'Discoverable Packages' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Discoverable Packages' reference list.
      See Also:
        `SetupPackage.getIndex_DiscoverablePackages()`
      Generated
      Model
        extendedMetaData="name='discoverablePackage'"

    - #### getProjectCatalogs

          EList<ProjectCatalog> getProjectCatalogs()

      Returns the value of the 'Project Catalogs' containment reference list. The list contents are of type `ProjectCatalog`. It is bidirectional and its opposite is '`Index`'.

      If the meaning of the 'Project Catalogs' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Project Catalogs' containment reference list.
      See Also:
        `SetupPackage.getIndex_ProjectCatalogs()`, `ProjectCatalog.getIndex()`
      Generated
      Model
        opposite="index" containment="true" resolveProxies="true" keys="name" extendedMetaData="name='projectCatalog'"

    - #### getProductCatalogs

          EList<ProductCatalog> getProductCatalogs()

      Returns the value of the 'Product Catalogs' containment reference list. The list contents are of type `ProductCatalog`. It is bidirectional and its opposite is '`Index`'.

      If the meaning of the 'Product Catalogs' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Product Catalogs' containment reference list.
      See Also:
        `SetupPackage.getIndex_ProductCatalogs()`, `ProductCatalog.getIndex()`
      Generated
      Model
        opposite="index" containment="true" resolveProxies="true" keys="name" extendedMetaData="name='productCatalog'"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html